Sympa::Spindle::DoForward(3Sympa)

NAME
Sympa::Spindle::DoForward - Workflow to forward messages to administrators

DESCRIPTION
Sympa::Spindle::DoForward handles a message sent to [list]-editor (the list editor), [list]-request (the list owner) or the listmaster.

If a message has one of types above, message will be forwarded to the users according to types using mailer directly (See Sympa::Mailer). Otherwise messages will be skipped.

  Public methods
See also "Public methods" in Sympa::Spindle::ProcessIncoming.

new ( key => value, ... )
spin ( )
    In most cases, Sympa::Spindle::ProcessIncoming splices messages to this class. These methods are not used in ordinal case.

SEE ALSO
Sympa::Mailer, Sympa::Message, Sympa::Spindle::ProcessIncoming.

HISTORY
Sympa::Spindle::DoForward appeared on Sympa 6.2.13.